package com.jxml.quick.util.qjml2java2;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;
/**
 * Controller Class for Attributes<br> 
 * @see <a href="http://quickutil.sourceforge.net/view/Main/QjmlAttributes">QjmlAttributes</a><br>
 */
public class QCAttributes extends OCMrootPeerSupportLite
{
	public QMAttributes ed;
/**
 * Method declaration<br>
 * @param param Name of the parameter
 * @exception SAXException 
 * @exception IOException 
 */
	public void cvt(Object param) 
		throws SAXException, IOException 
	{
		ed=(QMAttributes)dataModel;
		if (param instanceof ArrayList) 
		{

			doCvt(ed.getAtts(),param);
		}
		else
		{
			doCvt(ed.itemList,param);
		}
	}
}

